[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TTreeNodes.ConsistencyCheck

Makes sure all references for nodes in the container are consistent.

## Declaration

Source position: comctrls.pp line 3288

`public procedure TTreeNodes.ConsistencyCheck; virtual;`

## Description

ConsistencyCheck is a method used to ensure that references between nodes in the container are valid and consistent. ConsistencyCheck raises catchable debugger exceptions when error conditions are detected in the class instance, including:

- TopLvlItems is empty.
- TopLvlCount does not match the number of top-level items.
- Invalid sibling nodes or node count.
- Invalid child nodes or node count.
- Invalid index value for a node.
- A node is not found in the node cache.

## See also

TTreeNode.ConsistencyCheck |  | Ensures that node references to or from the current tree node are valid and consistent.